Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

quoteId
string
required

ID of the quote to retrieve

Response

Quote retrieved successfully

id
string
required

Unique identifier for this quote

Example:

"Quote:019542f5-b3e7-1d02-0000-000000000006"

status
enum<string>
required

Current status of the quote

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
EXPIRED
Example:

"PENDING"

createdAt
string<date-time>
required

When this quote was created

Example:

"2025-10-03T12:00:00Z"

expiresAt
string<date-time>
required

When this quote expires (typically 1-5 minutes after creation)

Example:

"2025-10-03T12:05:00Z"

source
Account · object
required

Source account details

destination
Account · object
required

Destination account details

sendingCurrency
object
required

Currency for the sending amount

receivingCurrency
object
required

Currency for the receiving amount

totalSendingAmount
integer<int64>
required

The total amount that will be sent in the smallest unit of the sending currency (eg. cents).

Example:

123010

totalReceivingAmount
integer<int64>
required

The total amount that will be received in the smallest unit of the receiving currency (eg. cents).

Example:

1000

exchangeRate
number
required

Number of sending currency units per receiving currency unit.

feesIncluded
integer<int64>
required

The fees associated with the quote in the smallest unit of the sending currency (eg. cents).

Required range: x >= 0
Example:

10

transactionId
string
required

The ID of the transaction created from this quote.

Example:

"Transaction:019542f5-b3e7-1d02-0000-000000000005"

paymentInstructions
object[]

Payment instructions for executing the payment. This is not required when using an internal account source.

Example:
counterpartyInformation
object

Additional information about the counterparty, if available and required by the platform in their configuration.

Example:
rateDetails
object

Details about the rate and fees for the transaction.